//http://homofaciens.de/technics-physical-computing-set01_en.htm

//Driving a micro servo

//Connect kathode (- brown or black servo cable) to GND of Arduino
//Connect anode (+ red servo cable) to +5V of Arduino
//Connect control line (orange or white cable) to pin 2 of Arduino

//Define pin number the control line of the servo is connected to
#define SERVO_01_PIN  2

#include <Servo.h>

Servo servo_01;  //Servo object is needed to control the servo

int servoAngle;    //Variable storing the servo angle

void setup() {
  servo_01.attach(SERVO_01_PIN);  //Attach the servo on the defined pin
}

void loop() {
  for(servoAngle = 0; servoAngle < 180; servoAngle++){
    servo_01.write(servoAngle);          // sets servo position
    delay(15);                           // wait 15ms = 0.015s
  }
  delay(500);
  servo_01.write(120);
  delay(500);
  servo_01.write(60);
  delay(500);
  servo_01.write(0);
  delay(500);

}

